#ifndef GENERATED_ASN1SCC_Region_H
#define GENERATED_ASN1SCC_Region_H
/*
Code automatically generated by asn1scc tool
*/
#include "taste-extended.h"
#include "asn1crt.h"

#ifdef  __cplusplus
extern "C" {
#endif



typedef struct {
    T_UInt16 offset_x;
    T_UInt16 offset_y;
    T_UInt16 size_x;
    T_UInt16 size_y;
} PlanarRegion;

#define PlanarRegion_REQUIRED_BYTES_FOR_ENCODING       8 
#define PlanarRegion_REQUIRED_BITS_FOR_ENCODING        64
#define PlanarRegion_REQUIRED_BYTES_FOR_ACN_ENCODING   8 
#define PlanarRegion_REQUIRED_BITS_FOR_ACN_ENCODING    64
#define PlanarRegion_REQUIRED_BYTES_FOR_XER_ENCODING   185

void PlanarRegion_Initialize(PlanarRegion* pVal);
flag PlanarRegion_IsConstraintValid(const PlanarRegion* val, int* pErrCode);


typedef struct {
    T_Float offset_x;
    T_Float offset_y;
    T_Float size_x;
    T_Float size_y;
} PolarRegion;

#define PolarRegion_REQUIRED_BYTES_FOR_ENCODING       52 
#define PolarRegion_REQUIRED_BITS_FOR_ENCODING        416
#define PolarRegion_REQUIRED_BYTES_FOR_ACN_ENCODING   52 
#define PolarRegion_REQUIRED_BITS_FOR_ACN_ENCODING    416
#define PolarRegion_REQUIRED_BYTES_FOR_XER_ENCODING   303

void PolarRegion_Initialize(PolarRegion* pVal);
flag PolarRegion_IsConstraintValid(const PolarRegion* val, int* pErrCode);


 

/* ================= Encoding/Decoding function prototypes =================
 * These functions are placed at the end of the file to make sure all types
 * have been declared first, in case of parameterized ACN encodings
 * ========================================================================= */

flag PlanarRegion_Encode(const PlanarRegion* val, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);
flag PlanarRegion_Decode(PlanarRegion* pVal, BitStream* pBitStrm, int* pErrCode);
flag PolarRegion_Encode(const PolarRegion* val, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);
flag PolarRegion_Decode(PolarRegion* pVal, BitStream* pBitStrm, int* pErrCode); 


#ifdef  __cplusplus
}

#endif

#endif
